org.eclnt.jsfserver.elements.componentnodes

## Class MENUNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.MENUNode

- All Implemented Interfaces:
    java.io.Serializable

      public class MENUNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MENUNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `MENUNode` | `bindAccessiblename(IDynamicContentBindingObject value)`
    `MENUNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `MENUNode` | `bindBackground(IDynamicContentBindingObject value)`
    `MENUNode` | `bindClientname(IDynamicContentBindingObject value)`
    `MENUNode` | `bindComment(IDynamicContentBindingObject value)`
    `MENUNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `MENUNode` | `bindFont(IDynamicContentBindingObject value)`
    `MENUNode` | `bindForeground(IDynamicContentBindingObject value)`
    `MENUNode` | `bindImage(IDynamicContentBindingObject value)`
    `MENUNode` | `bindRendered(IDynamicContentBindingObject value)`
    `MENUNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `MENUNode` | `bindText(IDynamicContentBindingObject value)`
    `MENUNode` | `bindTooltip(IDynamicContentBindingObject value)`
    `MENUNode` | `setAccessiblename(java.lang.String value)`
    `MENUNode` | `setAdapterbinding(java.lang.String value)`
    `MENUNode` | `setAttributemacro(java.lang.String value)`
    `MENUNode` | `setBackground(java.lang.String value)`
    `MENUNode` | `setClientname(java.lang.String value)`
    `MENUNode` | `setComment(java.lang.String value)`
    `MENUNode` | `setConfiginfo(java.lang.String value)`
    `MENUNode` | `setFont(java.lang.String value)`
    `MENUNode` | `setForeground(java.lang.String value)`
    `MENUNode` | `setId(java.lang.String value)`
    `MENUNode` | `setImage(java.lang.String value)`
    `MENUNode` | `setReference(java.lang.String value)`
    `MENUNode` | `setRendered(boolean value)`
    `MENUNode` | `setRendered(java.lang.String value)`
    `MENUNode` | `setStylevariant(java.lang.String value)`
    `MENUNode` | `setText(java.lang.String value)`
    `MENUNode` | `setTooltip(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MENUNode

          public MENUNode()

  - ### Method Detail

    - #### setId

          public MENUNode setId(java.lang.String value)

    - #### setAccessiblename

          public MENUNode setAccessiblename(java.lang.String value)

    - #### bindAccessiblename

          public MENUNode bindAccessiblename(IDynamicContentBindingObject value)

    - #### setAdapterbinding

          public MENUNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public MENUNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public MENUNode setAttributemacro(java.lang.String value)

    - #### setBackground

          public MENUNode setBackground(java.lang.String value)

    - #### bindBackground

          public MENUNode bindBackground(IDynamicContentBindingObject value)

    - #### setClientname

          public MENUNode setClientname(java.lang.String value)

    - #### bindClientname

          public MENUNode bindClientname(IDynamicContentBindingObject value)

    - #### setComment

          public MENUNode setComment(java.lang.String value)

    - #### bindComment

          public MENUNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public MENUNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public MENUNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setFont

          public MENUNode setFont(java.lang.String value)

    - #### bindFont

          public MENUNode bindFont(IDynamicContentBindingObject value)

    - #### setForeground

          public MENUNode setForeground(java.lang.String value)

    - #### bindForeground

          public MENUNode bindForeground(IDynamicContentBindingObject value)

    - #### setImage

          public MENUNode setImage(java.lang.String value)

    - #### bindImage

          public MENUNode bindImage(IDynamicContentBindingObject value)

    - #### setReference

          public MENUNode setReference(java.lang.String value)

    - #### setRendered

          public MENUNode setRendered(java.lang.String value)

    - #### bindRendered

          public MENUNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public MENUNode setRendered(boolean value)

    - #### setStylevariant

          public MENUNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public MENUNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setText

          public MENUNode setText(java.lang.String value)

    - #### bindText

          public MENUNode bindText(IDynamicContentBindingObject value)

    - #### setTooltip

          public MENUNode setTooltip(java.lang.String value)

    - #### bindTooltip

          public MENUNode bindTooltip(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.